#include<bits/stdc++.h>

using namespace std;

int n,m;
int a[100005];
int b[10005];
int main()
{
	cin>>n>>m;
	for(int i=0;i<n;i++)
	 scanf("%d",&a[i]);
	sort(a,a+n);
	int x=n;
	for(int i=0;i<n;i++)
	 if(a[i]>m/2)
	 {
	 	x=i;
	 	break;
	 }
	if((x+1)>=n/2)
	{
		for(int i=x;i<n;i++)
		 a[i]=m-a[i];
	}
	else
	{
		for(int i=0;i<x;i++)
		 a[i]=m-a[i];
	}
	sort(a,a+n);
	long long res=0;
	for(int i=1;i<n;i++)
	{
		res+=(n-i)*i*(a[i]-a[i-1]);
	}
	cout<<res;
	return 0;
}